#version 330

layout (location = 0) in vec3 Position;

uniform float gScale;
uniform mat4 view;
uniform mat4 proj;
uniform mat4 model;

flat out int vID;

void main()
{
	gl_Position = proj * view * model * vec4(Position, 1.0);
    // gl_Position = vec4(gScale * Position.x,gScale *  Position.y, gScale * Position.z, 1.0);
	vID = gl_VertexID;
}
